in scala.xml.pull
class XMLEventReader

`class` XMLEventReader
  `extends` java.lang.Object
  `with` scala.Iterator[scala.xml.pull.XMLEvent]
  `with` scala.ScalaObject

  a pull parser that offers to view an XML document as a series of events. Please note that this API might change. Here's how to use this class

      import scala.xml._
      import scala.xml.pull._
      import scala.io.Source
      object reader {
        val src = Source.fromString("")
        val er = new XMLEventReader().initialize(src)

        def main(args:Array[String]): unit = {
          Console.println(er.next)
          Console.println(er.next)
        }
      }

Class Summary
| `class` Parser

Constructor Summary
| `def` this

Var Summary
| `var` continue : scala.Boolean
| `var` parserThread : java.lang.Thread
| `var` src : scala.io.Source
| `var` xmlEvent : scala.xml.pull.XMLEvent

Def Summary
| `def` doNotify : scala.xml.NodeSeq{def theSeq: scala.Nil.type}
| `def` getAndClearEvent : scala.xml.pull.XMLEvent
| `def` getSource : scala.io.Source
| `def` hasNext : scala.Boolean
| `def` initialize (src: scala.io.Source) : XMLEventReader.this.type
| `def` myresume : scala.Unit
| `def` next : scala.xml.pull.XMLEvent
| `def` setEvent (e: scala.xml.pull.XMLEvent) : scala.Unit

Def inherited from scala.Iterator[scala.xml.pull.XMLEvent]
++ , /:, :\, addString, append, buffered, contains, copyToArray, copyToBuffer, counted, drop, dropWhile, duplicate, exists, filter, find, flatMap, foldLeft, foldRight, forall, foreach, hasNext, map, mkString, mkString, next, predicatedIterator, reduceLeft, reduceRight, take, takeWhile, toList, zip, zipWithIndex

Constructor Detail

`def` this

Var Detail

`var` continue : scala.Boolean

`var` parserThread : java.lang.Thread

`var` src : scala.io.Source

`var` xmlEvent : scala.xml.pull.XMLEvent

Def Detail

`def` doNotify : scala.xml.NodeSeq{def theSeq: scala.Nil.type}

`def` getAndClearEvent : scala.xml.pull.XMLEvent

`def` getSource : scala.io.Source

`def` hasNext : scala.Boolean

`def` initialize (src: scala.io.Source): XMLEventReader.this.type

`def` myresume : scala.Unit

`def` next : scala.xml.pull.XMLEvent

`def` setEvent (e: scala.xml.pull.XMLEvent): scala.Unit